do
   local MyUnitIdTable = {
--Spaceships  tek1 	  
	  'ueo0110',
	  'uro0202',
	  'uao0104',
--Space interceptor tek1
	  'uao0101',	
	  'uro0101',
	  'ueo0101',
--Space bombers tek1
	  'uro0103',
	  'ueo0103',
	  'uao0103',
--Les usines
	  'ueb3001',
	  'urb0305',
	  'uao0302',
--tourelles antiorbitallegere
	  'uro2109',
	  'uao2109',
	  'ueo0105',
  }
   local oldFileNameFn = GetUnitIconFileNames
   
   local function IsMyUnit(blueprint)
      for i, v in MyUnitIdTable do
         if v == blueprint.Display.IconName then
            return true
         end
      end
      return false
   end
   
   function GetUnitIconFileNames(blueprint)
      if IsMyUnit(blueprint) then
          local iconName = "/Mods/testmod/icons/units/" .. blueprint.Display.IconName .. "_icon.dds"
          local upIconName = "/Mods/testmod/icons/units/" .. blueprint.Display.IconName .. "_icon.dds"
          local downIconName = "/Mods/testmod/icons/units/" .. blueprint.Display.IconName .. "_icon.dds"
          local overIconName = "/Mods/testmod/icons/units/" .. blueprint.Display.IconName .. "_icon.dds"
         
          if DiskGetFileInfo(iconName) == false then
            WARN('Blueprint icon for unit '.. blueprint.Display.IconName ..' could not be found, check your file path and icon names!')
              iconName = '/textures/ui/common/icons/units/default_icon.dds'
          end
         
          if DiskGetFileInfo(upIconName) == false then
              upIconName = iconName
          end

          if DiskGetFileInfo(downIconName) == false then
              downIconName = iconName
          end

          if DiskGetFileInfo(overIconName) == false then
              overIconName = iconName
          end
         
          return iconName, upIconName, downIconName, overIconName
      else
         return oldFileNameFn(blueprint)
      end
   end
end